ОтобразитьСписокФайловТекущейДиректории = мир =>
{
    const список = мир.списокФайловТекущейДиректории;
    const свойства = мир.свойстваФайловТекущейДиректории;
    var содержимое = "";
    for (var н in список)
    {
        const файл = список[н];
        const свойство = свойства[н];
        const окончание = свойство.isDirectory() ? "/" : "";
        содержимое += `
<li id="фс_список-файлов_${н}">
    <a id="фс_список-файлов_${н}_ссылка">
        ${файл}${окончание}
    </a>
</li>
        `;
    }
    содержимое = `<ul class="uk-nav uk-nav-default tm-nav">${содержимое}</ul>`;
    $(`#${мир.макет.константы.меню}`).html(содержимое);
};


// // // //


ПолучитьСвойстваФайловТекущейДиректории = мир =>
{
    const список = мир.списокФайловТекущейДиректории;

    (async() => {
        try
        {
            var свойстваФайлов = [];
            for (var н in список)
            {
                const имя = список[н];
                const путь = мир.директория + имя;
                const свойства = await мир.фс.promises.stat(путь);
                свойстваФайлов.push(свойства);
            }
            мир.свойстваФайловТекущейДиректории = свойстваФайлов;
            мир.уведомить("получили свойства файлов текущей директории");
        }
        catch (ошибка)
        {
            мир.ошибкаОперацииФС = ошибка.code;
            мир.уведомить("ошибка операции файловой системы");
        }
    })();
};


// // // //


ПолучитьСписокФайловТекущейДиректории = мир =>
{
    (async() => {
        try
        {
            const список = await мир.фс.promises.readdir(мир.директория);
            мир.списокФайловТекущейДиректории = список;
            мир.уведомить("получили список файлов текущей директории");
        }
        catch (ошибка)
        {
            мир.ошибкаОперацииФС = ошибка.code;
            мир.уведомить("ошибка операции файловой системы");
        }
    })();
};


// // // //


СоздатьФайловуюСистему = мир =>
{
    мир.фс = new LightningFS("AMYP");
    мир.директория = "/";
};